solverl_plan_double Struct Reference

data structure for an inverse NFFT plan with long double precision More...

`#include <nfft3.h>`

Collaboration diagram for solverl_plan_double:
[legend]

## Data Fields

nfftl_mv_plan_double * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
long double * | w
| weighting factors
long double * | w_hat
| damping factors
long double * | y
| right hand side, samples
long double * | f_hat_iter
| iterative solution
long double * | r_iter
| iterated residual vector
long double * | z_hat_iter
| residual of normal equation of first kind
long double * | p_hat_iter
| search direction
long double * | v_iter
| residual vector update
long double | alpha_iter
| step size for search direction
long double | beta_iter
| step size for search correction
long double | dot_r_iter
| weighted dotproduct of r_iter
long double | dot_r_iter_old
| previous dot_r_iter
long double | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
long double | dot_z_hat_iter_old
| previous dot_z_hat_iter
long double | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
long double | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with long double precision

Definition at line 797 of file nfft3.h.

## Field Documentation

## mv

nfftl_mv_plan_double* solverl_plan_double::mv

matrix vector multiplication

Definition at line 797 of file nfft3.h.

## flags

unsigned solverl_plan_double::flags

iteration type

Definition at line 797 of file nfft3.h.

## w

long double* solverl_plan_double::w

weighting factors

Definition at line 797 of file nfft3.h.

## w_hat

long double* solverl_plan_double::w_hat

damping factors

Definition at line 797 of file nfft3.h.

## y

long double* solverl_plan_double::y

right hand side, samples

Definition at line 797 of file nfft3.h.

## f_hat_iter

long double* solverl_plan_double::f_hat_iter

iterative solution

Definition at line 797 of file nfft3.h.

## r_iter

long double* solverl_plan_double::r_iter

iterated residual vector

Definition at line 797 of file nfft3.h.

## z_hat_iter

long double* solverl_plan_double::z_hat_iter

residual of normal equation of first kind

Definition at line 797 of file nfft3.h.

## p_hat_iter

long double* solverl_plan_double::p_hat_iter

search direction

Definition at line 797 of file nfft3.h.

## v_iter

long double* solverl_plan_double::v_iter

residual vector update

Definition at line 797 of file nfft3.h.

## alpha_iter

long double solverl_plan_double::alpha_iter

step size for search direction

Definition at line 797 of file nfft3.h.

## beta_iter

long double solverl_plan_double::beta_iter

step size for search correction

Definition at line 797 of file nfft3.h.

## dot_r_iter

long double solverl_plan_double::dot_r_iter

weighted dotproduct of r_iter

Definition at line 797 of file nfft3.h.

## dot_r_iter_old

long double solverl_plan_double::dot_r_iter_old

previous dot_r_iter

Definition at line 797 of file nfft3.h.

## dot_z_hat_iter

long double solverl_plan_double::dot_z_hat_iter

weighted dotproduct of z_hat_iter

Definition at line 797 of file nfft3.h.

## dot_z_hat_iter_old

long double solverl_plan_double::dot_z_hat_iter_old

previous dot_z_hat_iter

Definition at line 797 of file nfft3.h.

## dot_p_hat_iter

long double solverl_plan_double::dot_p_hat_iter

weighted dotproduct of p_hat_iter

Definition at line 797 of file nfft3.h.

## dot_v_iter

long double solverl_plan_double::dot_v_iter

weighted dotproduct of v_iter

Definition at line 797 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h